highbank: rtc driver unavailable at boot

Bug #1035110 reported by dann frazier on 2012-08-09
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Eilt project
High
Ike Panhc
The Lomond project
High
Unassigned
linux (Ubuntu)
High
Chris Van Hoof
Precise
High
Chris Van Hoof
Quantal
High
Chris Van Hoof

Bug Description

== SRU Justification [precise] ==
Impact:
 * Due to the fact that the rtc_pl031 driver is built as an external module, validation of the last mount time of the root filesystem is not possible and yields the following error:

./drivers/rtc/hctosys.c: unable to open rtc device (rtc0)

Fix:
 * This patch statically compiles the rtc-pl031 driver for the highbank kernel flavour and continues to leave it enabled as an external module in omap and armel configs

Testcase:
 * Boot highbank based platform without network access or ntp configured with the rtc_pl031 driver compiled statically and note the system time is _not_ set to epoch.

=================================

I found that highbank systems (w/o ntpdate setup) always have their system time set to the epoch at boot. The rtc driver for these systems is rtc_pl031. This is currently built as a module, and not included in the initramfs. Looking at the kernel config for other platforms, it appears that this is normally resolved by linking platform rtc drivers in statically.

ubuntu@ubuntu:~$ sudo hwclock -s
ubuntu@ubuntu:~$ date
Thu Aug 9 17:07:11 CDT 2012

Chris Van Hoof (vanhoof) on 2012-08-09
Changed in eilt:
assignee: nobody → Ike Panhc (ikepanhc)
importance: Undecided → High
status: New → Confirmed

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1035110

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
mahmoh (mahmoh) on 2012-08-09
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: bot-stop-nagging
Changed in linux (Ubuntu):
importance: Undecided → High
Chris Van Hoof (vanhoof) on 2012-08-10
Changed in linux (Ubuntu):
assignee: nobody → Chris Van Hoof (vanhoof)
Chris Van Hoof (vanhoof) on 2012-08-10
description: updated
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Chris Van Hoof (vanhoof) on 2012-08-10
Changed in linux (Ubuntu Precise):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Chris Van Hoof (vanhoof)
Changed in linux (Ubuntu Quantal):
milestone: none → ubuntu-12.10-beta-1
Changed in linux (Ubuntu Precise):
milestone: none → precise-updates
Changed in eilt:
status: Confirmed → Triaged
Changed in lomond:
status: New → Triaged
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-11.11

---------------
linux (3.5.0-11.11) quantal-proposed; urgency=low

  [ Andy Whitcroft ]

  * [Config] enable CONFIG_X86_X32=y

  [ Cypress Semiconductor Corporation ]

  * SAUCE: input: Cypress PS/2 Trackpad mouse driver
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad link driver into psmouse-base
    - LP: #978807

  [ Dann Frazier ]

  * [Config] compile the rtc-pl031 driver as static on the highbank kernel
    flavour
    - LP: #1035110

  [ Ike Panhc ]

  * [Config] Enable CONFIG_DEBUG_HIGHBANK_UART for highbank
    - LP: #1034781

  [ Kamal Mostafa ]

  * SAUCE: input: Cypress PS/2 Trackpad code style cleanup
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad eliminate dead code
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad fix no-config stubs
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad set default debug_level=0
    - LP: #978807
  * SAUCE: [Config] add MOUSE_PS2_CYPRESS=y
    - LP: #978807

  [ Kees Cook ]

  * SAUCE: Yama: access task_struct->comm directly
  * SAUCE: Yama: add link restrictions
  * SAUCE: security: unconditionally chain to Yama LSM

  [ Seth Forshee ]

  * SAUCE: (drop after 3.6) irq_remap: disable IRQ remapping if any IOAPIC
    lacks an IOMMU
    - LP: #1034459

  [ Stefan Bader ]

  * (config) Enable getabis to use local package copies

  [ Tim Gardner ]

  * rebase to v3.5.2

  [ Upstream Kernel Changes ]

  * rds: set correct msg_namelen
    - LP: #1031112
    - CVE-2012-2340
  * rebase to v3.5.2
    - LP: #1027789
    - LP: #1001251
 -- Leann Ogasawara <email address hidden> Thu, 16 Aug 2012 08:52:09 -0700

Changed in linux (Ubuntu Quantal):
status: Triaged → Fix Released
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Precise in -proposed solves the problem (3.2.0-30.47). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
dann frazier (dannf) wrote :

ubuntu@ecx1k1:~$ cat /proc/version
Linux version 3.2.0-30-highbank (buildd@chort) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #47-Ubuntu SMP PREEMPT Wed Aug 15 21:32:02 UTC 2012
ubuntu@ecx1k1:~$ dmesg | grep rtc
rtc-pl031 fff35000.rtc: rtc core: registered pl031 as rtc0
rtc-pl031 fff35000.rtc: setting system clock to 2012-08-21 10:05:30 UTC (1345543530)
ubuntu@ecx1k1:~$ sudo hwclock -r
Tue 21 Aug 2012 06:06:53 AM EDT -0.374758 seconds
ubuntu@ecx1k1:~$ date
Tue Aug 21 06:06:54 EDT 2012
ubuntu@ecx1k1:~$

tags: added: verification-done-precise
removed: verification-needed-precise
Launchpad Janitor (janitor) wrote :
Download full text (13.6 KiB)

This bug was fixed in the package linux - 3.2.0-30.48

---------------
linux (3.2.0-30.48) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1041217

  [ Upstream Kernel Changes ]

  * mutex: Place lock in contended state after fastpath_lock failure
    - LP: #1041114

linux (3.2.0-30.47) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1036581

  [ Andy Whitcroft ]

  * add support for generating binary device trees and install them in
    /lib/firmware
    - LP: #1030600
  * [Config] add dtb_file configuration for highbank
    - LP: #1030600

  [ Chris Van Hoof ]

  * SAUCE: dell-laptop: additional rfkill blacklist Dell XPS 13
    - LP: #1030957
  * [Config] Add cifs support to the nfs-modules list
    - LP: #1031398

  [ Daniel P. Berrange ]

  * SAUCE: (drop after 3.6) Forbid invocation of kexec_load() outside
    initial PID namespace
    - LP: #1034125

  [ Dann Frazier ]

  * [Config] Compile the rtc-pl031 driver builtin on the highbank kernel
    flavour
    - LP: #1035110

  [ Douglas Bagnall ]

  * SAUCE: Unlock the rc_dev lock when the raw device is missing
    - LP: #1015836

  [ Rob Herring ]

  * SAUCE: ARM: highbank: add soft power and reset key event handling
    - LP: #1033853
  * SAUCE: ARM: highbank: use writel_relaxed variant for pwr requests
    - LP: #1033853
  * SAUCE: ahci: un-staticize ahci_dev_classify
    - LP: #1033853
  * SAUCE: ahci_platform: add custom hard reset for Calxeda ahci ctrlr
    - LP: #1033853

  [ Stefan Bader ]

  * (pre-stable) KVM: VMX: Set CPU_BASED_RDPMC_EXITING for nested
    - LP: #1031090

  [ Tim Gardner ]

  * [Config] updateconfigs

  [ Upstream Kernel Changes ]

  * ideapad: generate valid key event only
    - LP: #1029834
  * mm: reduce the amount of work done when updating min_free_kbytes
    - LP: #1032640
  * mm: compaction: allow compaction to isolate dirty pages
    - LP: #1032640
  * mm: compaction: determine if dirty pages can be migrated without
    blocking within ->migratepage
    - LP: #1032640
  * mm: page allocator: do not call direct reclaim for THP allocations
    while compaction is deferred
    - LP: #1032640
  * mm: compaction: make isolate_lru_page() filter-aware again
    - LP: #1032640
  * mm: compaction: introduce sync-light migration for use by compaction
    - LP: #1032640
  * mm: vmscan: when reclaiming for compaction, ensure there are sufficient
    free pages available
    - LP: #1032640
  * mm: vmscan: do not OOM if aborting reclaim to start compaction
    - LP: #1032640
  * mm: vmscan: check if reclaim should really abort even if
    compaction_ready() is true for one zone
    - LP: #1032640
  * vmscan: promote shared file mapped pages
    - LP: #1032640
  * vmscan: activate executable pages after first usage
    - LP: #1032640
  * mm/vmscan.c: consider swap space when deciding whether to continue
    reclaim
    - LP: #1032640
  * mm: test PageSwapBacked in lumpy reclaim
    - LP: #1032640
  * mm: vmscan: convert global reclaim to per-memcg LRU lists
    - LP: #1032640
  * cpuset: mm: reduce large amounts of memory barrier related damage v3
    - LP: #1032640
  * mm/hugetlb: fix warni...

Changed in linux (Ubuntu Precise):
status: Triaged → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

mahmoh (mahmoh) on 2012-09-05
Changed in lomond:
status: Triaged → Fix Released
Changed in eilt:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers